Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Class ListItem

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  com.lowagie.text.Phrase
                      com.lowagie.text.Paragraph
                          com.lowagie.text.ListItem

All Implemented Interfaces:
  Element, TextElementArray, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class ListItem

extends Paragraph

A `ListItem` is a `Paragraph` that can be added to a `List`.

Example 1:

>      List list = new List(true, 20);
>      list.add(new ListItem("First line"));
>      list.add(new ListItem("The second line is longer to see what happens once the end of the line is reached. Will it start on a new line?"));
>      list.add(new ListItem("Third line"));

The result of this code looks like this:

1. First line
2. The second line is longer to see what happens once the end of the line is reached. Will it start on a new line?
3. Third line

Example 2:

>      List overview = new List(false, 10);
>      overview.add(new ListItem("This is an item"));
>      overview.add("This is another item");

The result of this code looks like this:

- This is an item
- This is another item

See Also:
  `Element`, `List`, `Paragraph`, Serialized Form

Field Summary
`private static long` | `serialVersionUID`
`protected Chunk` | `symbol` this is the symbol that will precede the listitem.

Fields inherited from class com.lowagie.text.Paragraph
`alignment, indentationLeft, indentationRight, keeptogether, multipliedLeading, spacingAfter, spacingBefore`

Fields inherited from class com.lowagie.text.Phrase
`font, hyphenation, leading`

Fields inherited from class java.util.AbstractList
`modCount`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

Constructor Summary
`ListItem()` Constructs a `ListItem`.
`ListItem(Chunk chunk)` Constructs a `ListItem` with a certain `Chunk`.
`ListItem(float leading)` Constructs a `ListItem` with a certain leading.
`ListItem(float leading, Chunk chunk)` Constructs a `ListItem` with a certain `Chunk` and a certain leading.
`ListItem(float leading, java.lang.String string)` Constructs a `ListItem` with a certain `String` and a certain leading.
`ListItem(float leading, java.lang.String string, Font font)` Constructs a `ListItem` with a certain leading, `String` and `Font`.
`ListItem(Phrase phrase)` Constructs a `ListItem` with a certain `Phrase`.
`ListItem(java.lang.String string)` Constructs a `ListItem` with a certain `String`.
`ListItem(java.lang.String string, Font font)` Constructs a `ListItem` with a certain `String` and a certain `Font`.

Method Summary
`Chunk` | `getListSymbol()` Returns the listsymbol.
`void` | `setIndentationLeft(float indentation, boolean autoindent)` Sets the indentation of this paragraph on the left side.
`void` | `setListSymbol(Chunk symbol)` Sets the listsymbol.
`int` | `type()` Gets the type of the text element.

Methods inherited from class com.lowagie.text.Paragraph
`add, getAlignment, getExtraParagraphSpace, getFirstLineIndent, getIndentationLeft, getIndentationRight, getKeepTogether, getMultipliedLeading, getSpacingAfter, getSpacingBefore, getTotalLeading, setAlignment, setAlignment, setExtraParagraphSpace, setFirstLineIndent, setIndentationLeft, setIndentationRight, setKeepTogether, setLeading, setLeading, setMultipliedLeading, setSpacingAfter, setSpacingBefore, spacingAfter, spacingBefore`

Methods inherited from class com.lowagie.text.Phrase
`add, addAll, addChunk, addSpecial, getChunks, getContent, getFont, getHyphenation, getInstance, getInstance, getInstance, getLeading, hasLeading, isContent, isEmpty, isNestable, process, setFont, setHyphenation`

Methods inherited from class java.util.ArrayList
`addAll, clear, clone, contains, ensureCapacity, get, indexOf, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### symbol

    protected Chunk symbol

  this is the symbol that will precede the listitem.

  Since:
    5.0 used to be private

Constructor Detail

### ListItem

    public ListItem()

  Constructs a `ListItem`.

### ListItem

    public ListItem(float leading)

  Constructs a `ListItem` with a certain leading.

  Parameters:
    `leading` - the leading

### ListItem

    public ListItem(Chunk chunk)

  Constructs a `ListItem` with a certain `Chunk`.

  Parameters:
    `chunk` - a `Chunk`

### ListItem

    public ListItem(java.lang.String string)

  Constructs a `ListItem` with a certain `String`.

  Parameters:
    `string` - a `String`

### ListItem

    public ListItem(java.lang.String string,
                    Font font)

  Constructs a `ListItem` with a certain `String` and a certain `Font`.

  Parameters:
    `string` - a `String`
    `font` - a `String`

### ListItem

    public ListItem(float leading,
                    Chunk chunk)

  Constructs a `ListItem` with a certain `Chunk` and a certain leading.

  Parameters:
    `leading` - the leading
    `chunk` - a `Chunk`

### ListItem

    public ListItem(float leading,
                    java.lang.String string)

  Constructs a `ListItem` with a certain `String` and a certain leading.

  Parameters:
    `leading` - the leading
    `string` - a `String`

### ListItem

    public ListItem(float leading,
                    java.lang.String string,
                    Font font)

  Constructs a `ListItem` with a certain leading, `String` and `Font`.

  Parameters:
    `leading` - the leading
    `string` - a `String`
    `font` - a `Font`

### ListItem

    public ListItem(Phrase phrase)

  Constructs a `ListItem` with a certain `Phrase`.

  Parameters:
    `phrase` - a `Phrase`

Method Detail

### type

    public int type()

  Gets the type of the text element.

  Specified by:
    `type` in interface `Element`
  Overrides:
    `type` in class `Paragraph`
  Returns:
    a type

### setListSymbol

    public void setListSymbol(Chunk symbol)

  Sets the listsymbol.

  Parameters:
    `symbol` - a `Chunk`

### setIndentationLeft

    public void setIndentationLeft(float indentation,
                                   boolean autoindent)

  Sets the indentation of this paragraph on the left side.

  Parameters:
    `indentation` - the new indentation

### getListSymbol

    public Chunk getListSymbol()

  Returns the listsymbol.

  Returns:
    a `Chunk`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD